Update a match (v1)
POST/v1/matches/{matchId}
POST
/v1/matches/{matchId}
const url = 'https://api.ligr.live/rest/v1/matches/1';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","venueId":1,"competitionId":1,"date":"2026-04-15T12:00:00Z","homeTeamId":1,"awayTeamId":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.ligr.live/rest/v1/matches/1 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "venueId": 1, "competitionId": 1, "date": "2026-04-15T12:00:00Z", "homeTeamId": 1, "awayTeamId": 1 }'Update an existing match. Changing competitionId on a tennis match is not supported in v1; use v2 instead.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”matchId
required
Entity identifier
integer format: int32
Request Bodyrequired
Section titled “Request Bodyrequired”The match properties to update
Media typeapplication/json
object
name
Match name
string
venueId
Entity identifier
integer format: int32
competitionId
Entity identifier
integer format: int32
date
string format: date-time
homeTeamId
Entity identifier
integer format: int32
awayTeamId
Entity identifier
integer format: int32
Examplegenerated
{ "name": "example", "venueId": 1, "competitionId": 1, "date": "2026-04-15T12:00:00Z", "homeTeamId": 1, "awayTeamId": 1}Responses
Section titled “Responses”No content
Request is invalid
Media typeapplication/json
object
message
required
string
details
required
object
key
additional properties
Examplegenerated
{ "message": "example", "details": { "additionalProperty": "example" }}Missing or invalid api key
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Api key provides insufficient access for the request
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Match not found
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Api key has made too many requests
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}An unexpected error has occured. If problems persist please contact support
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}